# Multiplayer Mod Testing

### DON'T DOWNLOAD THIS IF YOU'RE NOT A MODDER

## Quickstart

- Download the mod and run the game
- Go to `Settings` > `Mod Options` > `MultiplayerModTesting` > click `Enable Testing` (no need to restart after changing the config)
- Launch a second instance of the game by double clicking the game executable. (If you need to test with a mod profile, you can instead create a shortcut of the executable, see the Executable Shortcut section)
- You can connect to yourself with a second instance of the game by hosting a private game with one and opening the console on the other and typing `connect localhost:7777`

## Executable Shortcut

You can create a shortcut that points to the ror2 executable that, when clicked, will open an instance that corresponds to a desired r2modman profile. this is especially useful in scenarios where you need two instances of the game open, such as when testing networking locally

Steps:

### 1. Create a shortcut of your Risk of Rain 2 Executable.

<img src="https://cdn.discordapp.com/attachments/723014139060027462/1120088221146173513/image.png" alt="screenshot" width="512" height="512"/>

### 2. Right click the shortcut, select properties.

<img src="https://cdn.discordapp.com/attachments/723014139060027462/1120088352306245632/image.png" alt="screenshot" width="512" height="512"/>

### 3. Open your preferred r2modman profile, go into settings, and select debug, then click Set Launch Parameters

 <img src="https://cdn.discordapp.com/attachments/723014139060027462/1120088831912329296/image.png" alt="screenshot" width="512" height="512"/>

### 4. Copy the "Modded" parameters

 <img src="https://cdn.discordapp.com/attachments/723014139060027462/1120089373992554587/image.png" alt="screenshot" width="512" height="512"/>

### 5. Back on the shortcut's properties, append the launch parameters into the target field.

 <img src="https://cdn.discordapp.com/attachments/723014139060027462/1120089573775659181/image.png" alt="screenshot" width="512" height="512"/>

## Changelog

**1.0.0**

- Release
